<?php

declare(strict_types=1);

namespace Drupal\reviewer\Plugin\reviewer\Review;

/**
 * Base entity review plugin.
 */
abstract class EntityReviewBase extends ReviewBase implements EntityReviewPluginInterface {

  /**
   * {@inheritdoc}
   */
  public function getEntityId(): string|null {
    return $this->configuration['entity_id'];
  }

  /**
   * {@inheritdoc}
   */
  public function getEntityType(): string|null {
    return $this->configuration['entity_type'];
  }

  /**
   * {@inheritdoc}
   */
  public function getBundles(): array {
    return $this->configuration['bundles'];
  }

}
