<?php

declare(strict_types=1);

namespace Drupal\reviewer_test\Plugin\reviewer\Review;

use Drupal\reviewer\Attribute\Review;
use Drupal\reviewer\Plugin\reviewer\Review\ReviewBase;

/**
 * Tests task returns.
 */
#[Review(
  id: 'returns_tests',
  label: 'Returns Tests',
  checklists: [
    'returns_tests',
  ],
  ignored: [
    ['id' => 'returns_tests.bool_fail', 'reason' => 'Ignored in code.'],
    ['id' => 'returns_tests.error', 'reason' => 'Ignored in code, again.'],
  ],
)]
final class ReturnTests extends ReviewBase {

}
