<?php

declare(strict_types=1);

namespace Drupal\reviewer_test\Plugin\reviewer\Review;

use Drupal\reviewer\Attribute\EntityReview;
use Drupal\reviewer\Plugin\reviewer\Review\EntityReviewBase;

/**
 * Test entity ID review.
 */
#[EntityReview(
  id: 'entity_review_tests',
  label: 'Entity Review Tests',
  checklists: [
    'entity_display_tests',
  ],
  entity_id: 'node.type.node_fail',
)]
class EntityReviewTest extends EntityReviewBase {

}
