<?php

declare(strict_types=1);

namespace Drupal\reviewer_test\Plugin\reviewer\Review;

use Drupal\reviewer\Attribute\EntityReview;
use Drupal\reviewer\Plugin\reviewer\Review\EntityReviewBase;

/**
 * Test node review.
 */
#[EntityReview(
  id: 'node_tests',
  label: 'Node Test',
  checklists: [
    'entity_display_tests',
  ],
  entity_type: 'node_type',
  bundles: [
    'node_pass',
    'node_fail',
  ],
)]
final class NodeReviewTest extends EntityReviewBase {

}
