<?php

declare(strict_types=1);

namespace Drupal\reviewer_test\Plugin\reviewer\Review;

use Drupal\reviewer\Attribute\Review;
use Drupal\reviewer\Plugin\reviewer\Review\ReviewBase;

/**
 * Test site settings review.
 */
#[Review(
  id: 'review_test',
  label: 'Site Settings Test',
  checklists: [
    'site_configuration_tests',
  ],
  configuration: [
    'system.performance',
    'system.site',
  ],
)]
final class ReviewTest extends ReviewBase {

}
