<?php

declare(strict_types=1);

namespace Drupal\reviewer_test\Plugin\reviewer\Review;

use Drupal\reviewer\Attribute\EntityReview;
use Drupal\reviewer\Plugin\reviewer\Review\EntityReviewBase;

/**
 * Test taxonomy review.
 */
#[EntityReview(
  id: 'taxonomy_tests',
  label: 'Taxonomy Test',
  checklists: [
    'entity_display_tests',
  ],
  entity_type: 'taxonomy_vocabulary',
)]
final class TaxonomyReviewTest extends EntityReviewBase {

}
